#!/usr/bin/perl

# extracts required content out of /var/log/messages 
my $LOGFILE = "$ARGV[0]";

if (!open(fp, $LOGFILE)) {
	print "Failed to open $LOGFILE\n";
	exit 1;
}

while (<fp>) {
	$line = $_;
	# if the line contains fail or warn, include it in output
	if($line =~ /fail/i || $line =~ /warn/i){
		print $line;
	}
	# if the line contains cron, drop it
	elsif (!($line =~  /cron/)) {
		print $line;
	}
}

close(fp);
