function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Introduction to Flash Accel","0");
var B=A.fN("Flash Accel features","1");
B=A.fN("Flash Accel components","2");
B=A.fN("How Flash Accel manages read and write operations","3");
B=A.fN("How cache is affected by other storage system operations","4");
A=P.fN("Prerequisites for using Flash Accel","5");
B=A.fN("ESXi host system requirements","6");
B=A.fN("Flash device requirements","7");
B=A.fN("Virtual machine system requirements","8");
B=A.fN("Flash Accel Management Console requirements","9");
var C=B.fN("Flash Accel Management Console host requirements","10");
C=B.fN("Flash Accel Management Console resource recommendations","11");
C=B.fN("Flash Accel Management Console networking information","12");
C=B.fN("Flash Accel Management Console web browser requirements","13");
A=P.fN("Getting started with Flash Accel","14");
B=A.fN("Downloading Flash Accel installation files","15");
B=A.fN("Installing the Flash Accel Management Console","16");
B=A.fN("Logging in to the Flash Accel Management Console","17");
B=A.fN("Configuring the Flash Accel Management Console","18");
C=B.fN("Connecting to the vCenter Server","19");
C=B.fN("Setting default host and virtual machine credentials","20");
C=B.fN("Specifying connection information manually for hosts and virtual machines","21");
B=A.fN("Discovering hosts and virtual machines","22");
B=A.fN("Importing Flash Accel agents","23");
B=A.fN("Installing Flash Accel Host Agents","24");
B=A.fN("Assigning and initializing flash devices","25");
B=A.fN("Installing Flash Accel Guest OS Agents","26");
B=A.fN("Preparing for vMotion migration","27");
C=B.fN("Selecting a migration policy","28");
C=B.fN("Overriding the migration policy","29");
B=A.fN("Enabling VMs and disks for caching","30");
A=P.fN("Managing Flash Accel caching systems","31");
B=A.fN("Understanding the user interface","32");
C=B.fN("Viewing resource details","33");
var D=C.fN("Viewing host details","34");
D=C.fN("Viewing virtual machine details","35");
D=C.fN("Viewing disk details","36");
C=B.fN("Selecting resources","37");
C=B.fN("Viewing operational status","38");
D=C.fN("Operational status values","39");
D=C.fN("Operational status icons","40");
B=A.fN("Setting the cache size for virtual machines","41");
C=B.fN("Allocating cache","42");
C=B.fN("Deallocating cache space","43");
C=B.fN("Changing the cache block size","44");
C=B.fN("Reformatting the cache","45");
B=A.fN("Setting the cache state for virtual machines and disks","46");
C=B.fN("Enabling caching","47");
C=B.fN("Disabling caching","48");
B=A.fN("Setting the cache mode for virtual machines and disks","49");
B=A.fN("Managing cache metrics","50");
C=B.fN("Flash Accel metrics","51");
C=B.fN("Specifying cache metrics collection for virtual machines and disks","52");
D=C.fN("Enabling cache metrics collection","53");
D=C.fN("Disabling cache metrics collection","54");
C=B.fN("Clearing cache metrics from a virtual machine","55");
C=B.fN("Viewing current cache performance for virtual machines and disks","56");
C=B.fN("Viewing historical cache performance for a virtual machine","57");
C=B.fN("Viewing historical cache performance for many virtual machines","58");
B=A.fN("Refreshing resources","59");
C=B.fN("Refreshing resources automatically","60");
C=B.fN("Refreshing resources manually","61");
B=A.fN("Assigning and unassigning flash devices","62");
C=B.fN("Assigning and initializing flash devices","63");
C=B.fN("Unassigning flash devices","64");
B=A.fN("Managing Flash Accel console logs","65");
C=B.fN("Viewing Flash Accel console logs","66");
C=B.fN("Setting the console log level","67");
C=B.fN("Exporting Flash Accel console logs","68");
B=A.fN("Exporting and importing FMC configuration information","69");
B=A.fN("Enabling debug mode","70");
B=A.fN("Changing the default Flash Accel Management Console password","71");
A=P.fN("Administering the Flash Accel Management Console","72");
B=A.fN("Logging in to the AMT","73");
B=A.fN("Monitoring FMC status","74");
B=A.fN("Viewing and editing the network interface for the FMC virtual machine","75");
C=B.fN("Viewing IP address settings for the FMC virtual machine","76");
C=B.fN("Editing IP address settings for the FMC virtual machine","77");
C=B.fN("Viewing DNS settings for the FMC virtual machine","78");
C=B.fN("Editing DNS search settings for the FMC virtual machine","79");
C=B.fN("Pinging a host from the FMC virtual machine","80");
B=A.fN("Performing system management tasks","81");
C=B.fN("Rebooting the operating system for the FMC virtual machine","82");
C=B.fN("Shutting down the operating system for the FMC virtual machine","83");
C=B.fN("Restarting the Apache web server for the FMC","84");
C=B.fN("Restarting the MySQL database server for the FMC","85");
C=B.fN("Changing the AMT user password","86");
B=A.fN("Managing AutoSupport","87");
C=B.fN("Sending an AutoSupport notification immediately","88");
C=B.fN("Viewing AutoSupport settings","89");
C=B.fN("Editing AutoSupport settings","90");
A=P.fN("Upgrading and uninstalling Flash Accel components","91");
B=A.fN("Upgrading Flash Accel components","92");
C=B.fN("Downloading Flash Accel upgrade files","93");
C=B.fN("Importing upgraded Flash Accel agents","94");
C=B.fN("Upgrading Flash Accel Guest OS Agents","95");
C=B.fN("Upgrading Flash Accel Host Agents","96");
B=A.fN("Uninstalling Flash Accel","97");
C=B.fN("Uninstalling Flash Accel Guest OS Agents","98");
C=B.fN("Uninstalling Flash Accel Host Agents","99");
C=B.fN("Uninstalling the Flash Accel Management Console","100");
A=P.fN("Flash Accel PowerShell cmdlets","101");
B=A.fN("Importing Flash Accel PowerShell cmdlets to a VM","102");
B=A.fN("Clear Flash Accel metrics","103");
B=A.fN("Format Flash Accel cache","104");
B=A.fN("Get Flash Accel cache device attributes cmdlet","105");
B=A.fN("Get Flash Accel data device attributes","106");
B=A.fN("Get Flash Accel configuration options","107");
B=A.fN("Reset Flash Accel cache cmdlet","108");
B=A.fN("Set Flash Accel cache device attributes","109");
B=A.fN("Set Flash Accel data device attributes","110");
B=A.fN("Set Flash Accel configuration options","111");
B=A.fN("Stop formatting the Flash Accel cache","112");
A=P.fN("Flash Accel messages","113");
B=A.fN("Windows events logged by Flash Accel","114");
B=A.fN("VM kernel log messages from Flash Accel","115");
A=P.fN("Flash Accel Guest OS Agent files","116");
}
