/*
 *  Flash Accel Management Console (FMC)
 *  Copyright (C) 2013, NetApp, Inc.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 *  Javascript
 *
 *    Farbtastic - Copyright (c) 2010 Matt Farina
 *
 *    jQuery - Copyright (c) 2010 John Resig
 * 
 *    jQuery BBQ - Copyright (c) 2010 "Cowboy" Ben Alman
 *  
 *    jQuery Cookie - Copyright (c) 2006 Klaus Hartl
 *  
 *    jQuery Form - Copyright (c) 2010 Mike Alsup
 *  
 *    jQuery Once - Copyright (c) 2009 Konstantin K\ufffdfer
 *
 *    jQuery UI - Copyright (c) 2010 by the original authors
 *      (http://jqueryui.com/about)
 *
 *    Sizzle.js - Copyright (c) 2010 The Dojo Foundation (http://sizzlejs.com/)
 *
 *  PHP
 *
 *    ArchiveTar - Copyright (c) 1997 - 2008 Vincent Blavet
 */

/*jQuery(document).ready(function() {
   
     

});
*/
function discAnimate() {
	jQuery(".fmc_discovery_meter > span").each(function() {
		jQuery(this)
			.data("origWidth", jQuery(this).width())
			.width(0)
			.animate({
				width: jQuery(this).data("origWidth")
			}, 1200);
	});
};

function showDiscoveryPerentage() { // this code is executed every 10 seconds:
	
    var i = 0;
    var htmlSplit = 0;
    jQuery('#modal-content .fmc_discovery_meter').show();
    jQuery(".fmc_discovery_meter").css('width', '0%');
    setInterval(function () {
      if (i != 100) {
        link = "/discovery/get_percent_status" ;       
        jQuery.ajax({
          url: link,	
          type: "GET",		
          cache: false,
          // timeout: 10000, // So requests don't bunch up or update with stale info. TODO: Enable in Copper.
          success: function (data) {
            htmlSplit = data.split('percentage_discovered---');
            var display_percent;           
            if (htmlSplit[1] >= 100) {
              // TODO: Swap to clearInterval() instead.
              // Without this line, the 100% case runs twice or more.
              i = 100;

              // TODO: Detect actual completion instead of just "100%"
              // and redirect in case the main connection is lost.
              // Need to get rid of the i != 100 line above.
            	display_percent = "100% Completed. Updating database, please wait.";

              // As an additional level of robustness, don't let the popup sit
              // at 100% for more than 10 minutes.  This is only needed because
              // 1) The "100%" value is not accurate, can't redirect right away.
              // 2) The connection to the POST can be lost and not redirect.
              // The penalty for redirecting too early is to show the uglier
              // version of the discovery popup instead of the nice one.
              setTimeout(function () {
                window.location.reload(false); // no cache
              }, 60 * 10 * 1000);
            } else {
            	display_percent = htmlSplit[1] + "% Completed";
            }            
    	    jQuery("#fmc_discovery_percent").html(display_percent);
    	    jQuery(".fmc_discovery_meter").css('width', htmlSplit[1] + '%');    	    
          }
        });
        i = htmlSplit[1];                           
      }
      
      //Calling the Ajax Call to display Discovery Details
      /*
      if (i > 1) {
      	link_discovery = "/discovery/get_discovery_status" ;       
          jQuery.ajax({
            url: link_discovery,	
            type: "GET",		
            cache: false,
            success: function (data_text) {
          	jQuery("#fmc_discovery_status").show();    
              htmlSplit_text = data_text.split('discovery_text---');            
      	    jQuery("#fmc_discovery_status").html(htmlSplit_text[1])   	    
            }
          });  
      }   
      */
      
    }, 10000);
}
